<?php
/*
Plugin Name: Info
Plugin URI: http://web-profile.com.ua/wordpress/plugins/info/
Description: This plugin will show in the admin bar the number of database queries during the WordPress execution and the amount of time in seconds to generate the page.
Version: 2.0.0
Author: webvitaly
Author Email: webvitaly(at)gmail.com
Author URI: http://web-profile.com.ua/
*/

// add info to admin bar
if ( !function_exists( 'useful_info_admin_bar' ) ) {
	function useful_info_admin_bar() {
		global $wp_admin_bar, $wpdb;
		if ( !is_super_admin() || !is_admin_bar_showing() )
			return;
		$codex_search = get_num_queries().' queries; '.timer_stop().' seconds;';
		/* Add the main siteadmin menu item */
		$wp_admin_bar->add_menu( array( 'id' => 'codex_search', 'title' => $codex_search, 'href' => FALSE ) );
		//$wp_admin_bar->add_menu( array( 'parent' => 'codex_search', 'title' => $codex_search, 'href' => FALSE ) );
	}
	add_action( 'admin_bar_menu', 'useful_info_admin_bar', 1000 );
}

// add info to source code (deprecated)
if ( !function_exists( 'useful_info_code' ) ) {
	function useful_info_code($atts, $content = null) {
	?>
	
	<!-- ============================================
		<?php echo get_num_queries(); //echo $wpdb->num_queries; ?> queries; <?php echo timer_stop(); ?> seconds; 
	============================================ -->
	
	<?php
	}
	add_action('wp_footer', 'useful_info_code');
}

